Salesly API
API Reference

Create multiple products (max 50)

POST
/products/batch

Authorization

x-api-key<token>

Your tenant API key

In: header

Request Body

application/jsonRequired
data
Required
array<object>
curl -X POST "https://rest.salesly.app/api/v1/developers/products/batch" \
  -H "x-api-key: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "data": [
      {
        "reference": "string",
        "name": "string",
        "description": "string",
        "vat": 0,
        "product_category_ref": "string",
        "services": "string",
        "stock": 0,
        "rates": [
          {
            "sku": "string",
            "cost": 0,
            "price": 0,
            "primary": true
          }
        ]
      }
    ]
  }'

Products created

{
  "created_references": [
    "string"
  ]
}